Subject: Re: ? sources of herb info

From: [email-masked] (Conrad Richter)
Date: Mon, 20 Feb 95 12:09:15 EST

"Wendy A. McCausland" <[email-masked]> writes:

> My sister is doing a project on indigenous herbs in Washington State. 
> Although she has not yet nailed down a specific list of herbs to
> research,  does any one know of any good sources of info?  She is mainly
> interested in how they have been used over time: for medicinal purposes,
>  ceremonial purposes or culinary purposes.

There is a book called "Ethnobotany of Western Washington" by Erna 
Gunther published by the University of Washington Press in Seattle. 

The edition I have is the 6th printed in 1970.  

Conrad Richter

RICHTERS HERBS                     | Info:                 [email-masked]
Goodwood, ON  L0C 1A0, Canada      | Catalog Requests:  [email-masked]
Tel +1-905-640-6677  Fax 640-6641  | What's New for '95:    [email-masked]